Releases - List
Get a list of releases
GET https://vsrm.dev.azure.com/{organization}/{project}/_apis/release/releases?api-version=4.1-preview.6
GET https://vsrm.dev.azure.com/{organization}/{project}/_apis/release/releases?definitionId={definitionId}&definitionEnvironmentId={definitionEnvironmentId}&searchText={searchText}&createdBy={createdBy}&statusFilter={statusFilter}&environmentStatusFilter={environmentStatusFilter}&minCreatedTime={minCreatedTime}&maxCreatedTime={maxCreatedTime}&queryOrder={queryOrder}&$top={$top}&continuationToken={continuationToken}&$expand={$expand}&artifactTypeId={artifactTypeId}&sourceId={sourceId}&artifactVersionId={artifactVersionId}&sourceBranchFilter={sourceBranchFilter}&isDeleted={isDeleted}&tagFilter={tagFilter}&propertyFilters={propertyFilters}&releaseIdFilter={releaseIdFilter}&api-version=4.1-preview.6
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path |
string |
Project ID or project name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '4.1-preview.6' to use this version of the api. |
|
$expand
|
query |
The property that should be expanded in the list of releases. |
||
|
$top
|
query |
integer (int32) |
Number of releases to get. Default is 50. |
|
|
artifact
|
query |
string |
Releases with given artifactTypeId will be returned. Values can be Build, Jenkins, GitHub, Nuget, Team Build (external), ExternalTFSBuild, Git, TFVC, ExternalTfsXamlBuild. |
|
|
artifact
|
query |
string |
Releases with given artifactVersionId will be returned. E.g. in case of Build artifactType, it is buildId. |
|
|
continuation
|
query |
integer (int32) |
Gets the releases after the continuation token provided. |
|
|
created
|
query |
string |
Releases created by this user. |
|
|
definition
|
query |
integer (int32) |
||
|
definition
|
query |
integer (int32) |
Releases from this release definition Id. |
|
|
environment
|
query |
integer (int32) |
||
|
is
|
query |
boolean |
Gets the soft deleted releases, if true. |
|
|
max
|
query |
string (date-time) |
Releases that were created before this time. |
|
|
min
|
query |
string (date-time) |
Releases that were created after this time. |
|
|
property
|
query |
string (array (string)) |
A comma-delimited list of extended properties to retrieve. |
|
|
query
|
query |
Gets the results in the defined order of created date for releases. Default is descending. |
||
|
release
|
query |
string (array (int32)) |
A comma-delimited list of releases Ids. Only releases with these Ids will be returned. |
|
|
search
|
query |
string |
Releases with names starting with searchText. |
|
|
source
|
query |
string |
Releases with given sourceBranchFilter will be returned. |
|
|
source
|
query |
string |
Unique identifier of the artifact used. e.g. For build it would be {projectGuid}:{BuildDefinitionId}, for Jenkins it would be {JenkinsConnectionId}:{JenkinsDefinitionId}, for TfsOnPrem it would be {TfsOnPremConnectionId}:{ProjectName}:{TfsOnPremDefinitionId}. For third-party artifacts e.g. TeamCity, BitBucket you may refer 'uniqueSourceIdentifier' inside vss-extension.json https://github.com/Microsoft/vsts-rm-extensions/blob/master/Extensions. |
|
|
status
|
query |
Releases that have this status. |
||
|
tag
|
query |
string (array (string)) |
A comma-delimited list of tags. Only releases with these tags will be returned. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Release[] |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.release | Grants the ability to read release artifacts, including releases, release definitions and release environment. |
Examples
| For a release definition |
Sample request
GET https://vsrm.dev.azure.com/fabrikam/MyFirstProject/_apis/release/releases?api-version=4.1-preview.6
Sample response
{
"count": 17,
"value": [
{
"id": 18,
"name": "Release-18",
"status": "abandoned",
"createdOn": "2017-06-16T01:36:20.397Z",
"modifiedOn": "2017-06-16T01:36:21.07Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "Creating Sample release",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/18/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/18",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/18"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=18&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 17,
"name": "Release-17",
"status": "active",
"createdOn": "2017-06-16T01:36:19.35Z",
"modifiedOn": "2017-06-16T01:36:19.35Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "Creating Sample release",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/17/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/17",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/17"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=17&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 16,
"name": "Release-16",
"status": "active",
"createdOn": "2017-06-16T01:35:19.333Z",
"modifiedOn": "2017-06-16T01:35:19.333Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "Creating Sample release",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/16/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/16",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/16"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=16&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 15,
"name": "Release-15",
"status": "active",
"createdOn": "2017-06-16T00:25:38.273Z",
"modifiedOn": "2017-06-16T00:25:38.273Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/15/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/15",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/15"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=15&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 14,
"name": "Release-14",
"status": "active",
"createdOn": "2017-06-01T09:42:15.273Z",
"modifiedOn": "2017-06-01T09:42:15.273Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/14/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/14",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/14"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=14&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 13,
"name": "Release-13",
"status": "active",
"createdOn": "2017-06-01T09:36:56.023Z",
"modifiedOn": "2017-06-01T09:36:56.023Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/13/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/13",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/13"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=13&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 12,
"name": "Release-12",
"status": "active",
"createdOn": "2017-06-01T09:34:37.963Z",
"modifiedOn": "2017-06-01T09:34:37.963Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/12/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/12",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/12"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=12&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 11,
"name": "Release-11",
"status": "active",
"createdOn": "2017-06-01T09:34:33.853Z",
"modifiedOn": "2017-06-01T09:34:33.853Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/11/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/11",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/11"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=11&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 10,
"name": "Release-10",
"status": "active",
"createdOn": "2017-06-01T09:33:08.367Z",
"modifiedOn": "2017-06-01T09:33:08.367Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/10/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/10",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/10"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=10&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 9,
"name": "Release-9",
"status": "active",
"createdOn": "2017-06-01T09:32:22.42Z",
"modifiedOn": "2017-06-01T09:32:22.42Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/9/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/9",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/9"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=9&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 7,
"name": "Release-7",
"status": "active",
"createdOn": "2017-06-01T08:58:37.137Z",
"modifiedOn": "2017-06-01T08:58:37.137Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/7/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/7",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/7"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=7&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 6,
"name": "Release-6",
"status": "active",
"createdOn": "2017-05-31T20:05:41.9Z",
"modifiedOn": "2017-05-31T20:05:41.9Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/6/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/6",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/6"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=6&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 5,
"name": "Release-5",
"status": "active",
"createdOn": "2017-05-31T19:55:50.357Z",
"modifiedOn": "2017-05-31T19:55:50.357Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/5/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/5",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/5"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=5&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 4,
"name": "Release-4",
"status": "active",
"createdOn": "2017-05-31T19:25:54.353Z",
"modifiedOn": "2017-05-31T19:25:54.353Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/4/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/4",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/4"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=4&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 3,
"name": "Release-3",
"status": "active",
"createdOn": "2017-05-31T18:07:39.777Z",
"modifiedOn": "2017-05-31T18:07:39.777Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/3/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/3",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/3"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=3&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 2,
"name": "Release-2",
"status": "active",
"createdOn": "2017-05-31T16:40:13.577Z",
"modifiedOn": "2017-05-31T16:40:13.577Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/2/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/2",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/2"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=2&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 1,
"name": "Release-1",
"status": "active",
"createdOn": "2017-05-31T16:40:03.717Z",
"modifiedOn": "2017-05-31T16:40:03.717Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/1/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=1&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
}
]
}
For a release definition
Sample request
GET https://vsrm.dev.azure.com/fabrikam/MyFirstProject/_apis/release/releases?definitionId=1&api-version=4.1-preview.6
Sample response
{
"count": 17,
"value": [
{
"id": 18,
"name": "Release-18",
"status": "abandoned",
"createdOn": "2017-06-16T01:36:20.397Z",
"modifiedOn": "2017-06-16T01:36:21.07Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "Creating Sample release",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/18/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/18",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/18"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=18&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 17,
"name": "Release-17",
"status": "active",
"createdOn": "2017-06-16T01:36:19.35Z",
"modifiedOn": "2017-06-16T01:36:19.35Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "Creating Sample release",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/17/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/17",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/17"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=17&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 16,
"name": "Release-16",
"status": "active",
"createdOn": "2017-06-16T01:35:19.333Z",
"modifiedOn": "2017-06-16T01:35:19.333Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "Creating Sample release",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/16/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/16",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/16"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=16&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 15,
"name": "Release-15",
"status": "active",
"createdOn": "2017-06-16T00:25:38.273Z",
"modifiedOn": "2017-06-16T00:25:38.273Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/15/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/15",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/15"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=15&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 14,
"name": "Release-14",
"status": "active",
"createdOn": "2017-06-01T09:42:15.273Z",
"modifiedOn": "2017-06-01T09:42:15.273Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/14/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/14",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/14"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=14&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 13,
"name": "Release-13",
"status": "active",
"createdOn": "2017-06-01T09:36:56.023Z",
"modifiedOn": "2017-06-01T09:36:56.023Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/13/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/13",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/13"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=13&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 12,
"name": "Release-12",
"status": "active",
"createdOn": "2017-06-01T09:34:37.963Z",
"modifiedOn": "2017-06-01T09:34:37.963Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/12/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/12",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/12"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=12&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 11,
"name": "Release-11",
"status": "active",
"createdOn": "2017-06-01T09:34:33.853Z",
"modifiedOn": "2017-06-01T09:34:33.853Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/11/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/11",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/11"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=11&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 10,
"name": "Release-10",
"status": "active",
"createdOn": "2017-06-01T09:33:08.367Z",
"modifiedOn": "2017-06-01T09:33:08.367Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/10/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/10",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/10"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=10&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 9,
"name": "Release-9",
"status": "active",
"createdOn": "2017-06-01T09:32:22.42Z",
"modifiedOn": "2017-06-01T09:32:22.42Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/9/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/9",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/9"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=9&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 7,
"name": "Release-7",
"status": "active",
"createdOn": "2017-06-01T08:58:37.137Z",
"modifiedOn": "2017-06-01T08:58:37.137Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/7/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/7",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/7"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=7&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 6,
"name": "Release-6",
"status": "active",
"createdOn": "2017-05-31T20:05:41.9Z",
"modifiedOn": "2017-05-31T20:05:41.9Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/6/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/6",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/6"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=6&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 5,
"name": "Release-5",
"status": "active",
"createdOn": "2017-05-31T19:55:50.357Z",
"modifiedOn": "2017-05-31T19:55:50.357Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/5/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/5",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/5"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=5&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 4,
"name": "Release-4",
"status": "active",
"createdOn": "2017-05-31T19:25:54.353Z",
"modifiedOn": "2017-05-31T19:25:54.353Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/4/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/4",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/4"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=4&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 3,
"name": "Release-3",
"status": "active",
"createdOn": "2017-05-31T18:07:39.777Z",
"modifiedOn": "2017-05-31T18:07:39.777Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/3/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/3",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/3"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=3&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 2,
"name": "Release-2",
"status": "active",
"createdOn": "2017-05-31T16:40:13.577Z",
"modifiedOn": "2017-05-31T16:40:13.577Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/2/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/2",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/2"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=2&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
},
{
"id": 1,
"name": "Release-1",
"status": "active",
"createdOn": "2017-05-31T16:40:03.717Z",
"modifiedOn": "2017-05-31T16:40:03.717Z",
"modifiedBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"createdBy": {
"id": "4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"displayName": "Chuck Reinhart",
"uniqueName": "fabfiber@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/4adb1680-0eac-6149-b5ee-fc8b4f6ca227",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=4adb1680-0eac-6149-b5ee-fc8b4f6ca227"
},
"variables": {},
"variableGroups": [],
"releaseDefinition": {
"id": 1,
"name": "MyShuttle.CD",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/definitions/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?definitionId=1"
}
}
},
"description": "",
"reason": "manual",
"releaseNameFormat": "Release-$(rev:r)",
"keepForever": false,
"definitionSnapshotRevision": 1,
"logsContainerUrl": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/1/logs",
"url": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/1",
"_links": {
"self": {
"href": "https://https://vsrm.dev.azure.com/fabrikamd07908bc-118f-47d2-8a13-ff75601a6b1a/_apis/Release/releases/1"
},
"web": {
"href": "https://dev.azure.com/fabrikam/d07908bc-118f-47d2-8a13-ff75601a6b1a/_release?releaseId=1&_a=release-summary"
}
},
"tags": [],
"projectReference": {
"id": "d07908bc-118f-47d2-8a13-ff75601a6b1a",
"name": "MyFirstProject"
},
"properties": {}
}
]
}
Definitions
ApprovalExecutionOrder
| Value | Description |
|---|---|
| beforeGates | |
| afterSuccessfulGates | |
| afterGatesAlways |
ApprovalOptions
| Name | Type | Description |
|---|---|---|
| autoTriggeredAndPreviousEnvironmentApprovedCanBeSkipped |
boolean |
|
| enforceIdentityRevalidation |
boolean |
|
| executionOrder | ||
| releaseCreatorCanBeApprover |
boolean |
|
| requiredApproverCount |
integer (int32) |
|
| timeoutInMinutes |
integer (int32) |
ApprovalStatus
Gets or sets the status of the approval.
| Value | Description |
|---|---|
| undefined | |
| pending | |
| approved | |
| rejected | |
| reassigned | |
| canceled | |
| skipped |
ApprovalType
Gets or sets the type of approval.
| Value | Description |
|---|---|
| undefined | |
| preDeploy | |
| postDeploy | |
| all |
Artifact
| Name | Type | Description |
|---|---|---|
| alias |
string |
Gets or sets alias. |
| definitionReference |
<string,
Artifact |
Gets or sets definition reference. e.g. {"project":{"id":"fed755ea-49c5-4399-acea-fd5b5aa90a6c","name":"myProject"},"definition":{"id":"1","name":"mybuildDefinition"},"connection":{"id":"1","name":"myConnection"}} |
| isPrimary |
boolean |
Gets or sets as artifact is primary or not. |
| type |
string |
Gets or sets type. It can have value as 'Build', 'Jenkins', 'GitHub', 'Nuget', 'Team Build (external)', 'ExternalTFSBuild', 'Git', 'TFVC', 'ExternalTfsXamlBuild'. |
ArtifactSourceReference
| Name | Type | Description |
|---|---|---|
| id |
string |
|
| name |
string |
AuthorizationHeader
| Name | Type | Description |
|---|---|---|
| name |
string |
|
| value |
string |
ConditionType
Gets or sets the condition type.
| Value | Description |
|---|---|
| undefined |
The condition type is undefined. |
| event |
The condition type is event. |
| environmentState |
The condition type is environment state. |
| artifact |
The condition type is artifact. |
ConfigurationVariableValue
| Name | Type | Description |
|---|---|---|
| isSecret |
boolean |
Gets or sets as variable is secret or not. |
| value |
string |
Gets or sets value of the configuration variable. |
DataSourceBindingBase
Represents binding of data source for the service endpoint request.
| Name | Type | Description |
|---|---|---|
| dataSourceName |
string |
Gets or sets the name of the data source. |
| endpointId |
string |
Gets or sets the endpoint Id. |
| endpointUrl |
string |
Gets or sets the url of the service endpoint. |
| headers |
Gets or sets the authorization headers. |
|
| parameters |
object |
Gets or sets the parameters for the data source. |
| resultSelector |
string |
Gets or sets the result selector. |
| resultTemplate |
string |
Gets or sets the result template. |
| target |
string |
Gets or sets the target of the data source. |
Demand
| Name | Type | Description |
|---|---|---|
| name |
string |
|
| value |
string |
DeploymentAttempt
| Name | Type | Description |
|---|---|---|
| attempt |
integer (int32) |
|
| deploymentId |
integer (int32) |
|
| hasStarted |
boolean |
Specifies whether deployment has started or not |
| id |
integer (int32) |
|
| issues |
Issue[] |
All the issues related to the deployment |
| job | ||
| lastModifiedBy | ||
| lastModifiedOn |
string (date-time) |
|
| operationStatus | ||
| postDeploymentGates | ||
| preDeploymentGates | ||
| queuedOn |
string (date-time) |
|
| reason | ||
| releaseDeployPhases | ||
| requestedBy | ||
| requestedFor | ||
| runPlanId |
string (uuid) |
|
| status | ||
| tasks |
DeploymentJob
| Name | Type | Description |
|---|---|---|
| job | ||
| tasks |
DeploymentOperationStatus
Gets operation status of deployment.
| Value | Description |
|---|---|
| undefined |
The deployment operation status is undefined. |
| queued |
The deployment operation status is queued. |
| scheduled |
The deployment operation status is scheduled. |
| pending |
The deployment operation status is pending. |
| approved |
The deployment operation status is approved. |
| rejected |
The deployment operation status is rejected. |
| deferred |
The deployment operation status is deferred. |
| queuedForAgent |
The deployment operation status is queued for agent. |
| phaseInProgress |
The deployment operation status is phase inprogress. |
| phaseSucceeded |
The deployment operation status is phase succeeded. |
| phasePartiallySucceeded |
The deployment operation status is phase partially succeeded. |
| phaseFailed |
The deployment operation status is phase failed. |
| canceled |
The deployment operation status is canceled. |
| phaseCanceled |
The deployment operation status is phase canceled. |
| manualInterventionPending |
The deployment operation status is manualintervention pending. |
| queuedForPipeline |
The deployment operation status is queued for pipeline. |
| cancelling |
The deployment operation status is cancelling. |
| evaluatingGates |
The deployment operation status is EvaluatingGates. |
| gateFailed |
The deployment operation status is GateFailed. |
| all |
The deployment operation status is all. |
DeploymentReason
Gets reason of deployment.
| Value | Description |
|---|---|
| none |
The deployment reason is none. |
| manual |
The deployment reason is manual. |
| automated |
The deployment reason is automated. |
| scheduled |
The deployment reason is scheduled. |
DeploymentStatus
Gets status of the deployment.
| Value | Description |
|---|---|
| undefined |
The deployment status is undefined. |
| notDeployed |
The deployment status is not deployed. |
| inProgress |
The deployment status is inprogress. |
| succeeded |
The deployment status is succeeded. |
| partiallySucceeded |
The deployment status is partiallysucceeded. |
| failed |
The deployment status is failed. |
| all |
The deployment status is all. |
DeployPhase
| Name | Type | Description |
|---|---|---|
| name |
string |
|
| phaseType | ||
| rank |
integer (int32) |
|
| workflowTasks |
DeployPhaseStatus
| Value | Description |
|---|---|
| undefined | |
| notStarted | |
| inProgress | |
| partiallySucceeded | |
| succeeded | |
| failed | |
| canceled | |
| skipped | |
| cancelling |
DeployPhaseTypes
| Value | Description |
|---|---|
| undefined | |
| agentBasedDeployment | |
| runOnServer | |
| machineGroupBasedDeployment |
EnvironmentOptions
| Name | Type | Description |
|---|---|---|
| autoLinkWorkItems |
boolean |
|
| badgeEnabled |
boolean |
|
| emailNotificationType |
string |
|
| emailRecipients |
string |
|
| enableAccessToken |
boolean |
|
| publishDeploymentStatus |
boolean |
|
| skipArtifactsDownload |
boolean |
|
| timeoutInMinutes |
integer (int32) |
EnvironmentStatus
Gets environment status.
| Value | Description |
|---|---|
| undefined | |
| notStarted | |
| inProgress | |
| succeeded | |
| canceled | |
| rejected | |
| queued | |
| scheduled | |
| partiallySucceeded |
GateStatus
| Value | Description |
|---|---|
| none | |
| pending | |
| inProgress | |
| succeeded | |
| failed |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
string |
|
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
|
| inactive |
boolean |
|
| isAadIdentity |
boolean |
|
| isContainer |
boolean |
|
| profileUrl |
string |
|
| uniqueName |
string |
|
| url |
string |
This url is the full route to the source resource of this graph subject. |
Issue
| Name | Type | Description |
|---|---|---|
| issueType |
string |
|
| message |
string |
ManualIntervention
| Name | Type | Description |
|---|---|---|
| approver |
Gets or sets the identity who should approve. |
|
| comments |
string |
Gets or sets comments for approval. |
| createdOn |
string (date-time) |
Gets date on which it got created. |
| id |
integer (int32) |
Gets the unique identifier for manual intervention. |
| instructions |
string |
Gets or sets instructions for approval. |
| modifiedOn |
string (date-time) |
Gets date on which it got modified. |
| name |
string |
Gets or sets the name. |
| release |
Gets releaseReference for manual intervention. |
|
| releaseDefinition |
Gets releaseDefinitionReference for manual intervention. |
|
| releaseEnvironment |
Gets releaseEnvironmentReference for manual intervention. |
|
| status |
Gets or sets the status of the manual intervention. |
|
| taskInstanceId |
string (uuid) |
Get task instance identifier. |
| url |
string |
Gets url to access the manual intervention. |
ManualInterventionStatus
Gets or sets the status of the manual intervention.
| Value | Description |
|---|---|
| unknown |
The manual intervention does not have the status set. |
| pending |
The manual intervention is pending. |
| rejected |
The manual intervention is rejected. |
| approved |
The manual intervention is approved. |
| canceled |
The manual intervention is canceled. |
ProcessParameters
| Name | Type | Description |
|---|---|---|
| dataSourceBindings |
Represents binding of data source for the service endpoint request. |
|
| inputs | ||
| sourceDefinitions |
ProjectReference
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
Gets the unique identifier of this field. |
| name |
string |
Gets name of project. |
PropertiesCollection
The class represents a property bag as a collection of key-value pairs. Values of all primitive types (any type with a TypeCode != TypeCode.Object) except for DBNull are accepted. Values of type Byte[], Int32, Double, DateType and String preserve their type, other primitives are retuned as a String. Byte[] expected as base64 encoded string.
| Name | Type | Description |
|---|---|---|
| count |
integer (int32) |
The count of properties in the collection. |
| item |
object |
|
| keys |
string[] |
The set of keys in the collection. |
| values |
string[] |
The set of values in the collection. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
Release
| Name | Type | Description |
|---|---|---|
| _links |
Gets links to access the release. |
|
| artifacts |
Artifact[] |
Gets or sets the list of artifacts. |
| comment |
string |
Gets or sets comment. |
| createdBy |
Gets or sets the identity who created. |
|
| createdOn |
string (date-time) |
Gets date on which it got created. |
| definitionSnapshotRevision |
integer (int32) |
Gets revision number of definition snapshot. |
| description |
string |
Gets or sets description of release. |
| environments |
Gets list of environments. |
|
| id |
integer (int32) |
Gets the unique identifier of this field. |
| keepForever |
boolean |
Whether to exclude the release from retention policies. |
| logsContainerUrl |
string |
Gets logs container url. |
| modifiedBy |
Gets or sets the identity who modified. |
|
| modifiedOn |
string (date-time) |
Gets date on which it got modified. |
| name |
string |
Gets name. |
| poolName |
string |
Gets pool name. |
| projectReference |
Gets or sets project reference. |
|
| properties |
The class represents a property bag as a collection of key-value pairs. Values of all primitive types (any type with a |
|
| reason |
Gets reason of release. |
|
| releaseDefinition |
Gets releaseDefinitionReference which specifies the reference of the release definition to which this release is associated. |
|
| releaseNameFormat |
string |
Gets release name format. |
| status |
Gets status. |
|
| tags |
string[] |
Gets or sets list of tags. |
| triggeringArtifactAlias |
string |
|
| variableGroups |
Gets the list of variable groups. |
|
| variables |
<string,
Configuration |
Gets or sets the dictionary of variables. |
ReleaseApproval
| Name | Type | Description |
|---|---|---|
| approvalType |
Gets or sets the type of approval. |
|
| approvedBy |
Gets the identity who approved. |
|
| approver |
Gets or sets the identity who should approve. |
|
| attempt |
integer (int32) |
Gets or sets attempt which specifies as which deployment attempt it belongs. |
| comments |
string |
Gets or sets comments for approval. |
| createdOn |
string (date-time) |
Gets date on which it got created. |
| history |
Gets history which specifies all approvals associated with this approval. |
|
| id |
integer (int32) |
Gets the unique identifier of this field. |
| isAutomated |
boolean |
Gets or sets as approval is automated or not. |
| isNotificationOn |
boolean |
|
| modifiedOn |
string (date-time) |
Gets date on which it got modified. |
| rank |
integer (int32) |
Gets or sets rank which specifies the order of the approval. e.g. Same rank denotes parallel approval. |
| release |
Gets releaseReference which specifies the reference of the release to which this approval is associated. |
|
| releaseDefinition |
Gets releaseDefinitionReference which specifies the reference of the release definition to which this approval is associated. |
|
| releaseEnvironment |
Gets releaseEnvironmentReference which specifies the reference of the release environment to which this approval is associated. |
|
| revision |
integer (int32) |
Gets the revision number. |
| status |
Gets or sets the status of the approval. |
|
| trialNumber |
integer (int32) |
|
| url |
string |
Gets url to access the approval. |
ReleaseApprovalHistory
| Name | Type | Description |
|---|---|---|
| approver | ||
| changedBy | ||
| comments |
string |
|
| createdOn |
string (date-time) |
|
| modifiedOn |
string (date-time) |
|
| revision |
integer (int32) |
ReleaseCondition
| Name | Type | Description |
|---|---|---|
| conditionType |
Gets or sets the condition type. |
|
| name |
string |
Gets or sets the name of the condition. e.g. 'ReleaseStarted'. |
| result |
boolean |
|
| value |
string |
Gets or set value of the condition. |
ReleaseDefinitionApprovals
| Name | Type | Description |
|---|---|---|
| approvalOptions | ||
| approvals |
ReleaseDefinitionApprovalStep
| Name | Type | Description |
|---|---|---|
| approver | ||
| id |
integer (int32) |
|
| isAutomated |
boolean |
|
| isNotificationOn |
boolean |
|
| rank |
integer (int32) |
ReleaseDefinitionGate
| Name | Type | Description |
|---|---|---|
| tasks |
ReleaseDefinitionGatesOptions
| Name | Type | Description |
|---|---|---|
| isEnabled |
boolean |
|
| samplingInterval |
integer (int32) |
|
| stabilizationTime |
integer (int32) |
|
| timeout |
integer (int32) |
ReleaseDefinitionGatesStep
| Name | Type | Description |
|---|---|---|
| gates | ||
| gatesOptions | ||
| id |
integer (int32) |
ReleaseDefinitionShallowReference
| Name | Type | Description |
|---|---|---|
| _links |
Gets the links to related resources, APIs, and views for the release definition. |
|
| id |
integer (int32) |
Gets the unique identifier of release definition. |
| name |
string |
Gets or sets the name of the release definition. |
| url |
string |
Gets the REST API url to access the release definition. |
ReleaseDeployPhase
| Name | Type | Description |
|---|---|---|
| deploymentJobs | ||
| errorLog |
string |
|
| id |
integer (int32) |
|
| manualInterventions | ||
| name |
string |
|
| phaseId |
string |
|
| phaseType | ||
| rank |
integer (int32) |
|
| runPlanId |
string (uuid) |
|
| status |
ReleaseEnvironment
| Name | Type | Description |
|---|---|---|
| conditions |
Gets list of conditions. |
|
| createdOn |
string (date-time) |
Gets date on which it got created. |
| definitionEnvironmentId |
integer (int32) |
Gets definition environment id. |
| demands |
Demand[] |
Gets demands. |
| deployPhasesSnapshot |
Gets list of deploy phases snapshot. |
|
| deploySteps |
Gets deploy steps. |
|
| environmentOptions |
Gets environment options. |
|
| id |
integer (int32) |
Gets the unique identifier of this field. |
| modifiedOn |
string (date-time) |
Gets date on which it got modified. |
| name |
string |
Gets name. |
| nextScheduledUtcTime |
string (date-time) |
Gets next scheduled UTC time. |
| owner |
Gets the identity who is owner for release environment. |
|
| postApprovalsSnapshot |
Gets list of post deploy approvals snapshot. |
|
| postDeployApprovals |
Gets list of post deploy approvals. |
|
| postDeploymentGatesSnapshot | ||
| preApprovalsSnapshot |
Gets list of pre deploy approvals snapshot. |
|
| preDeployApprovals |
Gets list of pre deploy approvals. |
|
| preDeploymentGatesSnapshot | ||
| processParameters |
Gets process parameters. |
|
| queueId |
integer (int32) |
Gets queue id. |
| rank |
integer (int32) |
Gets rank. |
| release |
Gets release reference which specifies the reference of the release to which this release environment is associated. |
|
| releaseCreatedBy |
Gets the identity who created release. |
|
| releaseDefinition |
Gets releaseDefinitionReference which specifies the reference of the release definition to which this release environment is associated. |
|
| releaseDescription |
string |
Gets release description. |
| releaseId |
integer (int32) |
Gets release id. |
| scheduledDeploymentTime |
string (date-time) |
Gets schedule deployment time of release environment. |
| schedules |
Gets list of schedules. |
|
| status |
Gets environment status. |
|
| timeToDeploy |
number (double) |
Gets time to deploy. |
| triggerReason |
string |
Gets trigger reason. |
| variableGroups |
Gets the list of variable groups. |
|
| variables |
<string,
Configuration |
Gets the dictionary of variables. |
| workflowTasks |
Gets list of workflow tasks. |
ReleaseEnvironmentShallowReference
| Name | Type | Description |
|---|---|---|
| _links |
Gets the links to related resources, APIs, and views for the release environment. |
|
| id |
integer (int32) |
Gets the unique identifier of release environment. |
| name |
string |
Gets or sets the name of the release environment. |
| url |
string |
Gets the REST API url to access the release environment. |
ReleaseExpands
The property that should be expanded in the list of releases.
| Value | Description |
|---|---|
| none | |
| environments | |
| artifacts | |
| approvals | |
| manualInterventions | |
| variables | |
| tags |
ReleaseGates
| Name | Type | Description |
|---|---|---|
| deploymentJobs | ||
| id |
integer (int32) |
|
| lastModifiedOn |
string (date-time) |
|
| runPlanId |
string (uuid) |
|
| stabilizationCompletedOn |
string (date-time) |
|
| startedOn |
string (date-time) |
|
| status |
ReleaseQueryOrder
Gets the results in the defined order of created date for releases. Default is descending.
| Value | Description |
|---|---|
| descending | |
| ascending |
ReleaseReason
Gets reason for release.
| Value | Description |
|---|---|
| none | |
| manual | |
| continuousIntegration | |
| schedule |
ReleaseSchedule
| Name | Type | Description |
|---|---|---|
| daysToRelease |
Days of the week to release |
|
| jobId |
string (uuid) |
Team Foundation Job Definition Job Id |
| startHours |
integer (int32) |
Local time zone hour to start |
| startMinutes |
integer (int32) |
Local time zone minute to start |
| timeZoneId |
string |
Time zone Id of release schedule, such as 'UTC' |
ReleaseShallowReference
| Name | Type | Description |
|---|---|---|
| _links |
Gets the links to related resources, APIs, and views for the release. |
|
| id |
integer (int32) |
Gets the unique identifier of release. |
| name |
string |
Gets or sets the name of the release. |
| url |
string |
Gets the REST API url to access the release. |
ReleaseStatus
Gets status.
| Value | Description |
|---|---|
| undefined | |
| draft | |
| active | |
| abandoned |
ReleaseTask
| Name | Type | Description |
|---|---|---|
| agentName |
string |
|
| dateEnded |
string (date-time) |
|
| dateStarted |
string (date-time) |
|
| finishTime |
string (date-time) |
|
| id |
integer (int32) |
|
| issues |
Issue[] |
|
| lineCount |
integer (int64) |
|
| logUrl |
string |
|
| name |
string |
|
| percentComplete |
integer (int32) |
|
| rank |
integer (int32) |
|
| startTime |
string (date-time) |
|
| status | ||
| task | ||
| timelineRecordId |
string (uuid) |
ScheduleDays
Days of the week to release
| Value | Description |
|---|---|
| none | |
| monday | |
| tuesday | |
| wednesday | |
| thursday | |
| friday | |
| saturday | |
| sunday | |
| all |
TaskInputDefinitionBase
| Name | Type | Description |
|---|---|---|
| aliases |
string[] |
|
| defaultValue |
string |
|
| groupName |
string |
|
| helpMarkDown |
string |
|
| label |
string |
|
| name |
string |
|
| options |
object |
|
| properties |
object |
|
| required |
boolean |
|
| type |
string |
|
| validation | ||
| visibleRule |
string |
TaskInputValidation
| Name | Type | Description |
|---|---|---|
| expression |
string |
Conditional expression |
| message |
string |
Message explaining how user can correct if validation fails |
TaskSourceDefinitionBase
| Name | Type | Description |
|---|---|---|
| authKey |
string |
|
| endpoint |
string |
|
| keySelector |
string |
|
| selector |
string |
|
| target |
string |
TaskStatus
| Value | Description |
|---|---|
| unknown | |
| pending | |
| inProgress | |
| success | |
| failure | |
| canceled | |
| skipped | |
| succeeded | |
| failed | |
| partiallySucceeded |
VariableGroup
| Name | Type | Description |
|---|---|---|
| createdBy |
Gets or sets the identity who created. |
|
| createdOn |
string (date-time) |
Gets date on which it got created. |
| description |
string |
Gets or sets description. |
| id |
integer (int32) |
Gets the unique identifier of this field. |
| modifiedBy |
Gets or sets the identity who modified. |
|
| modifiedOn |
string (date-time) |
Gets date on which it got modified. |
| name |
string |
Gets or sets name. |
| providerData |
Gets or sets provider data. |
|
| type |
string |
Gets or sets type. |
| variables |
<string,
Variable |
VariableGroupProviderData
VariableValue
| Name | Type | Description |
|---|---|---|
| isSecret |
boolean |
|
| value |
string |
WorkflowTask
| Name | Type | Description |
|---|---|---|
| alwaysRun |
boolean |
|
| condition |
string |
|
| continueOnError |
boolean |
|
| definitionType |
string |
|
| enabled |
boolean |
|
| inputs |
object |
|
| name |
string |
|
| overrideInputs |
object |
|
| refName |
string |
|
| taskId |
string (uuid) |
|
| timeoutInMinutes |
integer (int32) |
|
| version |
string |
WorkflowTaskReference
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
|
| name |
string |
|
| version |
string |